oracle.ord.hadoop.recognizer

## Class OrdFaceReader

- java.lang.Object
- - oracle.ord.hadoop.recognizer.OrdFaceReader

-     public abstract class OrdFaceReader
      extends java.lang.Object

  OrdFaceReader is an abstrat class which allows reading the face images which are used in training the face recognition model.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrdFaceReader(java.lang.String conf_file)` Creates an OrdFaceReader object that reads the face images which are used in training the face recognition model.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.opencv.core.Mat` | `getFaceImage(int i)` Returns the image data of the ith face image used in training the face recognition model.
    `abstract int` | `getLabel(int i)` Returns the label of the ith face image used in training the face recognition model.
    `abstract int` | `getNumberOfImages()` Returns the number of face images used in training the face recognition model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrdFaceReader

          public OrdFaceReader(java.lang.String conf_file)

      Creates an OrdFaceReader object that reads the face images which are used in training the face recognition model.
      Parameters:
        `conf_file` - the configuration file name. The configuration file specifies the parameters used in reading the face images.

  - ### Method Detail

    - #### getNumberOfImages

          public abstract int getNumberOfImages()

      Returns the number of face images used in training the face recognition model.
      Returns:
        the total number of the face images.

    - #### getLabel

          public abstract int getLabel(int i)

      Returns the label of the ith face image used in training the face recognition model.
      Returns:
        the label of the ith face image.

    - #### getFaceImage

          public abstract org.opencv.core.Mat getFaceImage(int i)

      Returns the image data of the ith face image used in training the face recognition model.
      Returns:
        the Mat which stores the image data of the ith face image.

Copyright � 2015, Oracle and/or its affiliates. All rights reserved.